package com.ruoyi.post.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.post.domain.PostUser;
import com.ruoyi.post.mapper.PostUserMapper;
import com.ruoyi.post.service.IPostUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/25 20:19
 * @Exegesis:
 */
@Service
public class PostUserServiceImpl implements IPostUserService
{
    @Resource
    private PostUserMapper postUserMapper;

    /**
     * 查询邮贝用户信息;
     *
     * @param userId 邮贝用户信息;主键
     * @return 邮贝用户信息;
     */
    @Override
    public PostUser selectPostUserByUserId(Long userId)
    {
        return postUserMapper.selectPostUserByUserId(userId);
    }

    /**
     * 查询邮贝用户信息;列表
     *
     * @param postUser 邮贝用户信息;
     * @return 邮贝用户信息;
     */
    @Override
    public List<PostUser> selectPostUserList(PostUser postUser)
    {
        return postUserMapper.selectPostUserList(postUser);
    }

    /**
     * 新增邮贝用户信息;
     *
     * @param postUser 邮贝用户信息;
     * @return 结果
     */
    @Override
    public int insertPostUser(PostUser postUser)
    {
        postUser.setCreateTime(DateUtils.getNowDate());
        return postUserMapper.insertPostUser(postUser);
    }

    /**
     * 修改邮贝用户信息;
     *
     * @param postUser 邮贝用户信息;
     * @return 结果
     */
    @Override
    public int updatePostUser(PostUser postUser)
    {
        postUser.setUpdateTime(DateUtils.getNowDate());
        return postUserMapper.updatePostUser(postUser);
    }

    /**
     * 批量删除邮贝用户信息;
     *
     * @param userIds 需要删除的邮贝用户信息;主键
     * @return 结果
     */
    @Override
    public int deletePostUserByUserIds(Long[] userIds)
    {
        return postUserMapper.deletePostUserByUserIds(userIds);
    }

    /**
     * 删除邮贝用户信息;信息
     *
     * @param userId 邮贝用户信息;主键
     * @return 结果
     */
    @Override
    public int deletePostUserByUserId(Long userId)
    {
        return postUserMapper.deletePostUserByUserId(userId);
    }
}